Bug 212148 - autofs-4.1.4-32 fails to mkdir its mount points, but does delete them
Summary: autofs-4.1.4-32 fails to mkdir its mount points, but does delete them
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-25 11:48 UTC by Bert DeKnuydt
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 09:32:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bert DeKnuydt 2006-10-25 11:48:03 UTC
Description of problem:

autofs-4.1.4-32 is unable to mkdir the needed mount points, and then fails
totally. If you make the directories yourself, all works, but autofs is so
friendly to delete them after use, so next boot, your up the creek again...

Version-Release number of selected component (if applicable):

autofs-4.1.4-32 (previous version 4.1.4-29 is okay)

How reproducible:

Always.

Steps to Reproduce:
1. Upgrade autofs to 4.1.4-32
2. Restart autofs: service autofs restart
3. Look in the logs: 

Oct 25 12:12:39 /users/prom2005: mount failed!
Oct 25 12:12:39 gordium automount[10299]: failed to create iautofs directory /us
ers/prom2006
etc. etc.

Actual results:

In the logs:

Oct 25 12:12:39 /users/prom2005: mount failed!
Oct 25 12:12:39 gordium automount[10299]: failed to create iautofs directory /us
ers/prom2006

And the automount process did not start ...

Expected results:

Behavior like in autofs-4.1.4-29 ...

Additional info:

A 'dirty' workaround might be:

1) First make all directories, something along this:

service autofs stop
service autofs status | cut -f 3 -d ' ' | grep '/'  | xargs  mkdir

2) If you have a ext2 or ext3 to mount into, chattr them immutable

service autofs status | cut -f 3 -d ' ' | grep '/'  | xargs chattr +i

3) Start it up

service autofs start

Comment 1 Ian Kent 2006-10-25 12:25:05 UTC
Yep. Know about this. My mistake. Sorry.

Waiting on autofs-4.1.4-33 to be pushed.

Comment 2 Bert DeKnuydt 2006-10-27 09:32:21 UTC
autofs-4.1.4-33 indeed solved the problem.  Case closed.


Note You need to log in before you can comment on or make changes to this bug.